package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF7D4RWSTransactions {

    private Map<String, Object> params;
    
    public MWF7D4RWSTransactions(Map<String, Object> params) {
        this.params = params;
    }

    public String rsTransactiontargetaccountname() {
        return (String) params.get("RS_TRANSACTIONTARGETACCOUNTNAME");
    }

    public String rsTransactiontargetiban() {
        return (String) params.get("RS_TRANSACTIONTARGETIBAN");
    }

    public String rsTransactionid() {
        return (String) params.get("RS_TRANSACTIONID");
    }

    public java.util.Date rsTransactiondate() {
        return (java.util.Date) params.get("RS_TRANSACTIONDATE");
    }

    public String rsTransactiontargetbankcode() {
        return (String) params.get("RS_TRANSACTIONTARGETBANKCODE");
    }

    public String rsTransactiontargetaccountnumber() {
        return (String) params.get("RS_TRANSACTIONTARGETACCOUNTNUMBER");
    }

    public Double rsTransactionamount() {
        return (Double) params.get("RS_TRANSACTIONAMOUNT");
    }

    public String rsTransactionvariablesymbol() {
        return (String) params.get("RS_TRANSACTIONVARIABLESYMBOL");
    }

    public String rsTransactionnote() {
        return (String) params.get("RS_TRANSACTIONNOTE");
    }

    public String rsTransactionclientiban() {
        return (String) params.get("RS_TRANSACTIONCLIENTIBAN");
    } 

}
